package com.gic.haoban.manage.service.service.hm.impl;

import com.gic.haoban.manage.service.dao.mapper.TabHaobanWelcomeTemplateRelationMapper;
import com.gic.haoban.manage.service.entity.hm.TabHaobanWelcomeTemplateRelation;
import com.gic.haoban.manage.service.pojo.qo.WelcomeRelationQO;
import com.gic.haoban.manage.service.service.hm.WelcomeRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author MUSI
 * @Date 2022/7/4 5:50 PM
 * @Description
 * @Version
 **/
@Component
public class WelcomeRelationServiceImpl implements WelcomeRelationService {

    @Autowired
    private TabHaobanWelcomeTemplateRelationMapper welcomeTemplateRelationMapper;

    /**
     * 查询欢迎语关联关系
     *
     * @param referId
     * @param status
     * @return
     */
    @Override
    public TabHaobanWelcomeTemplateRelation queryWelcomeRelation(String referId, Integer status) {
        return welcomeTemplateRelationMapper.queryWelTemplateRelation(null, referId, status);
    }

    /**
     * 条件查询 欢迎语引用列表
     *
     * @param welcomeRelationQo
     * @return
     */
    @Override
    public List<TabHaobanWelcomeTemplateRelation> queryWelcomeRelationList(WelcomeRelationQO welcomeRelationQo) {
        return welcomeTemplateRelationMapper.queryWelcomeTemplate(welcomeRelationQo);
    }
}
